Bug 1395866 - New provider input field lengths are inconsistent
Summary: New provider input field lengths are inconsistent
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.7.2
Assignee: Eric Winchell
QA Contact: Matouš Mojžíš
URL:
Whiteboard: provider:ui
Depends On: 1389513
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-11-16 21:11 UTC by Satoe Imaishi
Modified: 2017-04-12 14:33 UTC (History)
5 users (show)

Fixed In Version: 5.7.2.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1389513
Environment:
Last Closed: 2017-04-12 14:33:35 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)
azure fields (67.43 KB, image/png)
2017-01-26 16:05 UTC, Matouš Mojžíš
no flags Details
openstack fields (76.33 KB, image/png)
2017-01-26 16:05 UTC, Matouš Mojžíš
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0898 0 normal SHIPPED_LIVE Moderate: cfme, cfme-appliance, and cfme-gemset security, bug fix, and enhancement update 2017-04-12 18:31:08 UTC

Comment 2 CFME Bot 2017-01-05 14:20:56 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/45fe834176da139dc96c40ded44d3ae749f34db0

commit 45fe834176da139dc96c40ded44d3ae749f34db0
Author:     Milan Zázrivec <mzazrivec@redhat.com>
AuthorDate: Tue Nov 1 15:24:40 2016 +0100
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Thu Jan 5 09:17:47 2017 -0500

    Merge pull request #12259 from mikedahlgren/patch-3
    
    Fix provider input field lengths to be consistent
    (cherry picked from commit 814d77cb3f70bafe09c80e34ad8c1a1200309c0d)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1395866

 app/views/ems_container/_form.html.haml                          | 4 ++--
 app/views/ems_container/_form_fields.html.haml                   | 4 ++--
 app/views/ems_infra/_form.html.haml                              | 4 ++--
 app/views/ems_infra/_form_fields.html.haml                       | 4 ++--
 app/views/ems_middleware/_form_fields.html.haml                  | 4 ++--
 app/views/host/_form.html.haml                                   | 2 +-
 app/views/layouts/angular-bootstrap/_endpoints_angular.html.haml | 8 ++++----
 app/views/shared/views/ems_common/_form.html.haml                | 2 +-
 app/views/shared/views/ems_common/angular/_form.html.haml        | 8 ++++----
 9 files changed, 20 insertions(+), 20 deletions(-)

Comment 3 Matouš Mojžíš 2017-01-26 16:04:29 UTC
In azure provider should be tenant id and subscription id shortened. 
Openstack cloud provider should have keystone v3 shortened.
Screenshots as attachments.

Comment 4 Matouš Mojžíš 2017-01-26 16:05:10 UTC
Created attachment 1244802 [details]
azure fields

Comment 5 Matouš Mojžíš 2017-01-26 16:05:39 UTC
Created attachment 1244803 [details]
openstack fields

Comment 9 CFME Bot 2017-03-07 17:40:58 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/cecbd1409b00755314ceac763a964b3b7daf26c9

commit cecbd1409b00755314ceac763a964b3b7daf26c9
Author:     Dan Clarizio <dclarizi@redhat.com>
AuthorDate: Thu Feb 16 16:48:16 2017 -0800
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Tue Mar 7 12:39:41 2017 -0500

    Merge pull request #406 from epwinchell/1395866
    
    Correct inconsistent provider input field lengths
    (cherry picked from commit d8f2803451d7dc57950e7d51be49f0a3437e6d7d)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1395866

 app/views/shared/views/ems_common/angular/_form.html.haml | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

Comment 10 Matouš Mojžíš 2017-03-27 13:19:14 UTC
Verified in 5.7.2.0. All providers field lenghts are consistent now.

Comment 12 errata-xmlrpc 2017-04-12 14:33:35 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:0898


Note You need to log in before you can comment on or make changes to this bug.